#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  GNOME Libraries and Desktop

- Next

  gsettings-desktop-schemas-41.0

- Up
- Home

# Gcr-3.40.0

## Introduction to Gcr

The Gcr package contains libraries used for displaying certificates and accessing key stores. It also provides the viewer for crypto files on the GNOME Desktop.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gcr/3.40/gcr-3.40.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gcr/3.40/gcr-3.40.0.tar.xz

- Download MD5 sum: fa34048b5562f80587a71d11931a7c29

- Download size: 998 KB

- Estimated disk space required: 39 MB (with tests)

- Estimated build time: 0.4 SBU (with tests)

### Gcr Dependencies

#### Required

GLib-2.70.4, libgcrypt-1.10.0, and p11-kit-0.24.1

#### Recommended

GnuPG-2.2.34, gobject-introspection-1.70.0, GTK+-3.24.31, libsecret-0.20.5, libxslt-1.1.35, and Vala-0.54.7

#### Optional

GTK-Doc-1.33.2 and Valgrind-3.18.1

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gcr

## Installation of Gcr

First apply a fix for building with newer versions of meson:

    find . -name meson.build | xargs sed -i /packages.\*deps/d

Install Gcr by running the following commands:

    sed -i 's:"/desktop:"/org:' schema/*.xml &&

    sed -e '208 s/@BASENAME@/gcr-viewer.desktop/'   \
        -e '231 s/@BASENAME@/gcr-prompter.desktop/' \
        -i ui/meson.build                           &&

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &&
    ninja

To test the results, issue: ninja test. The tests must be run from an X Terminal or similar.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

sed ... schema/*.xml: This command fixes a deprecated entry in the schema template.

sed ... ui/meson.build: This command fixes a problem when building with meson-0.59.0.

`-Dgtk=false`: Use this switch if you haven't installed GTK+-3.24.31. Note that gcr-viewer will not be installed if this is passed to meson.

`-Dgtk_doc=true`: Use this switch if you wish to generate the API reference documentation. Note that you must have GTK-Doc installed.

## Contents

Installed Program: gcr-viewer
Installed Libraries: libgck-1.so, libgcr-base-3.so and libgcr-ui-3.so
Installed Directories: /usr/include/gck-1, /usr/include/gcr-3, and /usr/share/gtk-doc/html/{gcr,gck}

### Short Descriptions

gcr-viewer | is used to view certificates and key files
`libgck-1.so` | contains GObject bindings for PKCS#11

Last updated on

- Prev

  GNOME Libraries and Desktop

- Next

  gsettings-desktop-schemas-41.0

- Up
- Home